v_tpg: XV_tpg_Config Struct Reference

| v_tpg Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_tpg_Config Struct Reference

This typedef contains configuration information for the tpg core Each core instance should have a configuration structure associated. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | HasAxi4sSlave
| Axi4s Slave capability indicator. More...
u16 | PixPerClk
| Samples Per Clock supported by core instance. More...
u16 | NumVidComponents
| Number of Video Components. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | MaxDataWidth
| Maximum Data width of each channel. More...
u16 | SolidColorEnable
| Axi4s Slave capability indicator. More...
u16 | RampEnable
| Axi4s Slave capability indicator. More...
u16 | ColorBarEnable
| Axi4s Slave capability indicator. More...
u16 | DisplayPortEnable
| Axi4s Slave capability indicator. More...
u16 | ColorSweepEnable
| Axi4s Slave capability indicator. More...
u16 | ZoneplateEnable
| Axi4s Slave capability indicator. More...
u16 | ForegroundEnable
| Axi4s Slave capability indicator. More...

## Detailed Description

This typedef contains configuration information for the tpg core Each core instance should have a configuration structure associated.

## Field Documentation

UINTPTR XV_tpg_Config::BaseAddress

The base address of the core instance.

u16 XV_tpg_Config::ColorBarEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::ColorSweepEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::DeviceId

Unique ID of device.

u16 XV_tpg_Config::DisplayPortEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::ForegroundEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::HasAxi4sSlave

Axi4s Slave capability indicator.

u16 XV_tpg_Config::MaxDataWidth

Maximum Data width of each channel.

u16 XV_tpg_Config::MaxHeight

Maximum rows supported by core instance.

u16 XV_tpg_Config::MaxWidth

Maximum columns supported by core instance.

u16 XV_tpg_Config::NumVidComponents

Number of Video Components.

u16 XV_tpg_Config::PixPerClk

Samples Per Clock supported by core instance.

u16 XV_tpg_Config::RampEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::SolidColorEnable

Axi4s Slave capability indicator.

u16 XV_tpg_Config::ZoneplateEnable

Axi4s Slave capability indicator.